Bug 146898 - Context descriptor error inside the war archive
Context descriptor error inside the war archive
Product: Red Hat Application Server
Classification: Retired
Component: tomcat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Depends On:
  Show dependency treegraph
Reported: 2005-02-02 11:59 EST by Permaine Cheung
Modified: 2007-04-18 13:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-05 11:46:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Permaine Cheung 2005-02-02 11:59:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20040924

Description of problem:
Reference from issue tracker #51659
Tomcat5 allows developers to provide a tomcat context descriptor inside the war
archive under /META-INF/context.xml (see
http://jakarta.apache.org/tomcat/tomcat-5.0-doc/appdev/deployment.html).  This
file should be unpacked into the /etc/tomcat5/Catalina/localhost/ directory.  
This works fine with the stock jakarta version of tomcat.  However RedHats
version creates an empty directory in the conf directory named ${warname}.xml
instead of unpacking the context.xml file.

To work around this problem, copy the context.xml file to /etc/tomcat5/Catalina/localhost/${warname}.xml by hand before deploying the war.

This problem can be reproduced on an up2date RHEL3 system, with tomcat from RHAS installed, using an example servlet with a META-INF/context.xml file.

In working with this some more I've discovered the problem does not reproduce when using the manager webapp's "deploy" function.  It does reproduce if you just cp the WAR to the /var/lib/tomcat5/webapps/ directory and use tomcat's autodeploy feature to deploy the WAR.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. follow steps provided in the README of the tarball

Actual Results:  When the servlet is run, it only shows                                                                                 2 properties, both from web.xml, the context.xml file isn't correctly istalled.

Expected Results:  When the servlet is run, it will display the values of some properties, it should display a list of 4 parameter values, 1 whose value comes from web.xml, 3 whose  values come from context.xml.

Additional info:
Comment 1 Permaine Cheung 2005-02-02 14:48:21 EST
This problem is fixed in both tomcat 5.0.28 and 5.0.30. The checking was done on
a RHEL 4 machine, once the rpms are available for RHEL3, I'll double check this.
Comment 2 Permaine Cheung 2005-04-05 11:46:07 EDT
This is fixed in tomcat5-5.0.28-2jpp_5rh, which is distributed in RHAPS V1U1
(for RHEL 3).
Closing the bug report now.

Note You need to log in before you can comment on or make changes to this bug.